# PVideoInputControl Class Reference

This class defines a video Input device control (Camera controls PTZ). More...

`#include <videoio.h>`

Inheritance diagram for PVideoInputControl:

List of all members.

## Public Types

typedef std::list< PVideoControlInfo > | InputDeviceControls

## Public Member Functions

| ~PVideoInputControl ()
virtual PBoolean | Pan (long value, bool absolute=false)
virtual PBoolean | Tilt (long value, bool absolute=false)
virtual PBoolean | Zoom (long value, bool absolute=false)
long | GetPan ()
long | GetTilt ()
long | GetZoom ()
void | Reset ()
void | SetCurrentPosition (const InputControlType ctype, long current)

## Protected Member Functions

PBoolean | GetVideoControlInfo (const InputControlType ctype, PVideoControlInfo &control)
PBoolean | GetDefaultPosition (const InputControlType ctype, long &def)
PBoolean | GetCurrentPosition (const InputControlType ctype, long &current)

## Protected Attributes

std::list< PVideoControlInfo > | m_info
PMutex | ccmutex

## Detailed Description

This class defines a video Input device control (Camera controls PTZ).

## Member Typedef Documentation

typedef std::list<PVideoControlInfo> PVideoInputControl::InputDeviceControls

## Constructor & Destructor Documentation

PVideoInputControl::~PVideoInputControl | ( |  | ) |

## Member Function Documentation

PBoolean PVideoInputControl::GetCurrentPosition | ( | const InputControlType | ctype,
|  | long & | current |
| ) |  |  | `[protected]`

PBoolean PVideoInputControl::GetDefaultPosition | ( | const InputControlType | ctype,
|  | long & | def |
| ) |  |  | `[protected]`

long PVideoInputControl::GetPan | ( |  | ) |

long PVideoInputControl::GetTilt | ( |  | ) |

PBoolean PVideoInputControl::GetVideoControlInfo | ( | const InputControlType | ctype,
|  | PVideoControlInfo & | control |
| ) |  |  | `[protected]`

long PVideoInputControl::GetZoom | ( |  | ) |

virtual PBoolean PVideoInputControl::Pan | ( | long | value,
|  | bool | absolute = `false` |
| ) |  |  | `[virtual]`

void PVideoInputControl::Reset | ( |  | ) |

void PVideoInputControl::SetCurrentPosition | ( | const InputControlType | ctype,
|  | long | current |
| ) |  |  |

virtual PBoolean PVideoInputControl::Tilt | ( | long | value,
|  | bool | absolute = `false` |
| ) |  |  | `[virtual]`

virtual PBoolean PVideoInputControl::Zoom | ( | long | value,
|  | bool | absolute = `false` |
| ) |  |  | `[virtual]`

## Member Data Documentation

PMutex PVideoInputControl::ccmutex `[protected]`

std::list<PVideoControlInfo> PVideoInputControl::m_info `[protected]`

The documentation for this class was generated from the following file:

- videoio.h